<?php
require_once 'application/class/class_ManageSession.php';
/*
 * Fichier de gestion du routage des commandes
 * utilisé lors de la soumission finale du panier et lors de l'appel au suivi des commandes à imprimer
 */

// Si l'utilisateur appelle le routage pour une commande donnée
if (getValue('action') == 'ValiderDOAF' || getValue('action') == 'CloturerDOAF') {
    DOA::setForceValidation(getValue('action'));
} else if (getValue('action') == 'ValiderDOA' || getValue('action') == 'CloturerDOA') {
    // DOA::WSDL_TMP
    $xslt = new GenXslt(true);
    
    echo $xslt->XslHtml(XSL_CONF_VALIDATION, DOA::getXMLArrayValidation(getValue('action')));
} else
    print getValue('action');
$connecteur->disconnect();
exit();
?>